import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiAbsoluteLayoutCommandHandler, UiAbsoluteLayoutConfig } from "../generated/UiAbsoluteLayoutConfig";
import { UiAbsolutePositionedComponentConfig } from "../generated/UiAbsolutePositionedComponentConfig";
import { UiAnimationEasing } from "../generated/UiAnimationEasing";
export declare class UiAbsoluteLayout extends UiComponent<UiAbsoluteLayoutConfig> implements UiAbsoluteLayoutCommandHandler {
    private $main;
    private $style;
    private components;
    constructor(config: UiAbsoluteLayoutConfig, context: TeamAppsUiContext);
    getMainDomElement(): JQuery;
    private transitionEndEventListener;
    update(components: UiAbsolutePositionedComponentConfig[], animationDuration: number, easing: UiAnimationEasing): void;
    protected onAttachedToDom(): void;
    onResize(): void;
}
